import { StyleBase } from "../styles/style-base";

export enum StyleType {
  border = 'border',
  layout = 'layout',
  text = 'text',
  boxShadow = 'boxShadow',
  backgroundBlur = 'backgroundBlur',
  layerBlur = 'layerBlur',
  custom = 'custom',
  size = 'size',
}

export interface IElementStyles {
  get(type: StyleType): StyleBase | undefined;
}